Polyrankdocs
ApiLab

GET /v1/lab/backtests

The caller’s backtests, newest first (optionally one strategy’s), without their reports. Research runs (purpose `research`) are left out unless include_research=true; research_hidden counts them. 404 `lab_disabled` while LAB_ENABLED is off.

GET
/v1/lab/backtests

The caller’s backtests, newest first (optionally one strategy’s), without their reports. Research runs (purpose research) are left out unless include_research=true; research_hidden counts them. 404 lab_disabled while LAB_ENABLED is off.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Query Parameters

strategy_id?string
limit?integer
include_research?string

true / false / 1 / 0

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/lab/backtests"
{  "backtests": [    {      "id": "string",      "strategy_id": "string",      "status": "queued",      "error": "string",      "from": "string",      "to": "string",      "source": "string",      "created_at": "string",      "finished_at": "string",      "duration_ms": 0,      "per10": 0,      "copies": 0,      "purpose": "user",      "final_test": true    }  ],  "research_hidden": -9007199254740991}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}